float4x4 vp;
float pointSize;

struct VS_DEFAULT_OUTPUT 
{
   float4 position: POSITION;
   float4 color: COLOR0;
   float psize: PSIZE;
};

VS_DEFAULT_OUTPUT main(float3 position: POSITION, float4 color: COLOR0)
{
	VS_DEFAULT_OUTPUT Out;
	Out.position = mul(vp, float4(position, 1.f));
	Out.psize = pointSize;
	Out.color = color;
	return Out;
}